# Copyright (C) 2026 BoundWare LLC. All rights reserved.
# SnacTrac is licensed under the Apache License, Version 2.0
# See Licenses/LICENSE.txt for details.


from convert_money import *


# Return formatted users data for users window.
def format_users_admin(data_users):

    data_users_formatted = [user.copy() for user in data_users]

    for user in data_users_formatted:

        user[3] = bool(user[3])

        user[4] = bool(user[4])

        user[6] = convert_money(user[6])

    return data_users_formatted
